Summary:	A Usenet newsreader for GNOME/GTK+
Name:		pan
Version:	v0.159
Release:	1%{?dist}
Epoch:		1
License:	GPLv2
Source0:	https://gitlab.gnome.org/GNOME/pan/-/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		pan-v0.159.patch
URL:		https://gitlab.gnome.org/GNOME/pan

BuildRequires:	make
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	glib2-devel  >= 2.40.0
BuildRequires:	gmime30-devel >= 3.2.0
BuildRequires:	gnutls-devel >= 3.8
BuildRequires:	gtk3-devel  >= 3.20.0
BuildRequires:	gtkspell3-devel >= 3.0.2
BuildRequires:	enchant-devel >= 1.6.0
BuildRequires:	libappstream-glib
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:	libgnome-keyring-devel >= 3.2.0
BuildRequires:	libassuan-devel >= 2.5
BuildRequires:	itstool
BuildRequires:	yelp-tools
# In the past, we could not link GPLv2-only Pan with GnuTLS due to libgnutls being effectively LGPLv3+
# However, the GnuTLS libs are now clearly LGPLv2+, which is compatible.
BuildRequires:	gnutls-devel

Requires:	gtk3 >= 3.24
Requires:	gmime30 >= 3.2
Requires:	gnutls >= 3.8

%description
Pan is a Usenet newsreader which attempts to be pleasant to
new and advanced users alike. It has all the standard
newsreaders features and also supports offline reading,
scoring and killfiles, yEnc, NZB, PGP handling, multiple
servers, and secure connections. It is also the only Unix
newsreader to get a perfect score on the Good Net-Keeping
Seal of Approval evaluations.

%prep
%autosetup

sed -i -e 's|StartupNotify=false|StartupNotify=true|' org.gnome.%{name}.desktop.in

%build
mkdir -p std-build
cmake -B std-build
cmake --build std-build -j 8

%install
cmake --install std-build --prefix %{buildroot}

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.%{name}.metainfo.xml

desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING COPYING-DOCS
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/org.gnome.pan.png
%{_datadir}/pan/icons/*png
%{_datadir}/metainfo/org.gnome.%{name}.metainfo.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.%{name}.service
%{_mandir}/man1/pan.1*

%changelog
* Wed Jun 12 2024 Detlef Graef <detlef.graef> [at] gmx.de - 1:0.159-1
- Pan Ver. 0.159
* Sat Jul 22 2023 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.154-1
- Pan Ver. 0.154
* Wed Nov 16 2022 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.153-1
- Pan Ver. 0.153
* Mon Jul 18 2022 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.152-1
- Pan Ver. 0.152
* Tue Dec 28 2021 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.149-1
- Pan Ver. 0.149
* Sat Jun 12 2021 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.147-1
- Initial version
